pyyaml (6.0.2-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:11:29 +0000

pyyaml (6.0.2-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:50 +0100

pyyaml (6.0.2-1) unstable; urgency=medium

  * Team upload.
  * Make d/watch case-insensitive
  * New upstream version 6.0.2
  * Switch from cython3-legacy back to cython3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Aug 2024 21:36:10 +0200

pyyaml (6.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Switch to cython3-legacy
    Closes: #1056877

  [ Andreas Tille ]
  * Fix clean target
    Closes: #1048163
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 08:43:21 +0100

pyyaml (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1

 -- Gordon Ball <gordon@chronitis.net>  Sat, 22 Jul 2023 19:42:38 +0000

pyyaml (6.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Gordon Ball ]
  * Add myself to Uploaders
  * Drop Scott Kitterman from Uploaders; thanks for your work on this package
  * Upload to unstable (Closes: #1008262)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Oct 2022 21:20:23 +0000

pyyaml (6.0-2) experimental; urgency=medium

  [ Stefano Rivera ]
  * Drop Breaks added in 5.3.1-5 for smoother buster to bullseye upgrades, no
    longer needed.

  [ Gordon Ball ]
  * Build using pybuild-plugin-pyproject
  * autopkgtest: allow stderr to avoid failures due to syntax hints

 -- Gordon Ball <gordon@chronitis.net>  Mon, 03 Oct 2022 08:08:38 +0000

pyyaml (6.0-1) experimental; urgency=medium

  * Team upload.

  * New upstream version 6.0
  * Rebase patches
  * Update rules and tests for lib3 -> lib
  * Patch out distutils configuration change
  * Update name of README file to install

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Oct 2021 18:44:33 +0000

pyyaml (5.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Drop python3-yaml-dbg (Closes: #994371)
  * Ensure the source for the cython extension is regenerated at build time
    and successfully built, based on a patch from Helmet Grohne (Closes:
    #981601)
  * Version the dependency on libyaml to >= 0.2.2 (Closes: #967025)
  * Update Standards-Version to 4.6.0 (no changes)
  * New upstream version 5.4.1
  * Rebase patches, drop (upstream) cve-2020-14343.patch
  * Build-depend on python3-setuptools
  * Update Debhelper compat level to 13

 -- Gordon Ball <gordon@chronitis.net>  Fri, 08 Oct 2021 21:02:23 +0000

pyyaml (5.3.1-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * python3-yaml: Copy Breaks: python (<< 2.7.18), python-minimal (<< 2.7.18),
    libpython-stdlib (<< 2.7.18) from python2.7 and add
    Breaks: python-yaml (<< 5.3.1-2) for smoother upgrades from buster.
    In some upgrade scenarios (mostly involving ros-* packages) these Breaks
    in python2.7 were ineffective because the unversioned python packages got
    higher scores. Copying the Breaks to python3-yaml which is the first
    python package scoring higher than the to-be-removed packages solves these
    issues.  (Closes: #989930)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Jun 2021 19:02:58 -0400

pyyaml (5.3.1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-yaml-dbg: Add Multi-Arch: same.

  [ Stefano Rivera ]
  * Resolve CVE-2020-14343, more trivial RCEs in .load() and FullLoader.
    (Closes: #966233)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 11:11:00 -0400

pyyaml (5.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/tests/control: Add python3-all to Depends:.
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 23 Oct 2020 12:33:33 +1300

pyyaml (5.3.1-2) unstable; urgency=medium

  * Drop support for python2 (Closes: #938309)
  * Delete obsolete README.source
  * Replace autopkgtest-pkg-python with running the actual upstream test suite
  * Set Multi-Arch allowed for python3-yaml (Closes: #918804)
  * Patch upstream test system to make test failures fatal (Closes: #918893)
  * Delete ancient version constraints in Build-Depends for python3-all-dev
    and libyaml-dev

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2020 11:13:39 -0400

pyyaml (5.3.1-1) unstable; urgency=medium

  * New upstream security release
    - Issue was already fixed in 5.3-2 in Debian, but this update switches us
      to the final upstream version of the fix

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Mar 2020 23:57:48 -0400

pyyaml (5.3-2) unstable; urgency=high

  [ Emmanuel Arias ]
  * Call python2 instead of python in autopkgtest. (Closes: #948492)
  * d/control: python-yaml-dbg depends on python2-dbg instead of python-dbg.
    - Patch by Matthias Klose.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

  [ Scott Kitterman ]
  * Add d/p/CVE-2020-1747.patch due to command injection vulnerability
    (Closes: #953013)
    - Resolves CVE-2020-1747: arbitrary command execution through python/
      object/new when FullLoader is used
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Mar 2020 21:56:58 -0500

pyyaml (5.3-1) unstable; urgency=medium

  * New upstream relaese

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Jan 2020 02:14:32 -0500

pyyaml (5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Dec 2019 00:35:29 -0500

pyyaml (5.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Scott Kitterman ]
  * New upstream release
    - Dropped all patches, incorporated in upstream release
  * Update debian/copyright
  * Update autopkgtests to use yaml.FullLoader to avoid deprecation warnings
    - https://github.com/yaml/pyyaml/wiki/PyYAML-yaml.load(input)-Deprecation

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Aug 2019 19:00:21 -0400

pyyaml (3.13-2) unstable; urgency=medium

  * Team upload

  [ Scott Kitterman ]
  * Remove obsolete build-depends on quilt

  [ Simon McVittie ]
  * Apply patch from upstream PR #181 to fix deprecation warning for
    import of collections.Hashable, which won't work in Python 3.8.
    Thanks to Niels Thykier. (Closes: #917603)
  * Standards-Version: 4.3.0 (no changes required)
  * Set Rules-Requires-Root to no
  * d/p/0001-support-high-codepoints.patch.patch:
    Add attribution
  * Explicitly use #!/bin/sh for autopkgtest scripts
  * Include debug symbols in python[3]-yaml-dbg instead of creating -dbgsym
    packages
  * Enable autopkgtest-pkg-python tests in addition to the ones in d/tests
  * Skip build-time tests if nocheck is in DEB_BUILD_OPTIONS

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Jan 2019 11:09:51 +0000

pyyaml (3.13-1) unstable; urgency=medium

  [ Chris Lamb ]
  * d/control: Bump Standards-Version to 4.2.1.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Tristan Seligmann ]
  * d/watch: Point at PyPI.
  * d/rules: Various fixes.
  * d/changelog: Remove trailing newline.
  * d/rules: Turn on hardening flags.
  * d/compat, d/control: Bump debhelper compat level to 11.
  * d/rules: Switch to pybuild. (Closes: #907422)

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Nov 2018 19:26:49 -0400

pyyaml (3.12-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update Homepage field in debian/control
  * New upstream release
  * Add dh-python to build-depends
  * Bump standards version to 3.9.8 without further change

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Sep 2016 01:38:51 -0400

pyyaml (3.11-3) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standards-Version with no other changes necessary.
  * d/patches/support-high-codepoints.patch: Added to fix support for
    codepoints above 0xffff.  Given by John R. Lenton.  (Closes: #806826)
  * d/tests/{control,python2.sh,python3.sh}: Added to test the above patch
    since a unittest is problematic.

 -- Barry Warsaw <barry@debian.org>  Wed, 02 Dec 2015 16:29:22 -0500

pyyaml (3.11-2) unstable; urgency=medium

  * Backport security fix for Reachable Assertion security issue (potential
    remote DoS) - CVE-2014-9130 (Closes: #772815)
    - Add debian/patches/CVE-2014-9130-invalid-key-assert.diff

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Dec 2014 08:35:37 -0500

pyyaml (3.11-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
  * Remove empty directory usr/lib/python3/dist-packages/yaml from python3-
    yaml-dbg
  * Bump standards version to 3.9.5 without further change
  * Remove unneeded X-Python-Version/X-Python3-Version from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Apr 2014 22:37:37 -0400

pyyaml (3.10-4) unstable; urgency=low

  * Bump debian/compat and minimum debhelper version to 9 for dpkg-buildflags
    and hardening support
  * Drop unneeded XB-Python-Version from python-yaml

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Jun 2012 11:19:50 -0400

pyyaml (3.10-3) unstable; urgency=low

  * Regenerate ext_yaml.c during build
    - Update debian/rules to move the upstream file aside during build
    - Add cython and cython-dbg to build-depends
  * Add quilt patch system
    - Add quilt to build-depends
    - Add --with quilt to debian/rules
    - Add README.source
  * Add debian/patches/size_t_not_int.diff to fix FTBFS on S390x
    (Closes: #676536)
    - Thanks to Julien Cristau for the patch
  * Rework debian/rules to support DEB_BUILD_OPTIONS nocheck
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Jun 2012 16:36:33 -0400

pyyaml (3.10-2) unstable; urgency=low

  * Remove python3-yaml-dbg find rule in debian/rules so python3 debug package
    is built correctly (Closes: #650950)
  * Remove similar rule for python-yaml-dbg since it is not needed
  * Fix short descriptions for debug packages so they are not the same as
    non-debug packages
  * Also ship upstream changelog in python-yaml
  * Add python3-yaml.docs to README/CHANGES are shipped in python3-yaml
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Dec 2011 13:48:42 -0500

pyyaml (3.10-1) unstable; urgency=low

  * New upstream release (LP: #770895)
  * Override dh_auto_test to run tests in the right part of the build
  * Protect for loops in debian/rules with set -e
  * Use install-layout=deb to avoid files landing in /usr/local
  * Drop XB-Python-Version from python-yaml (obsolete)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 31 May 2011 16:18:44 -0400

pyyaml (3.09-5) unstable; urgency=low

  * Team upload.
  * Bump minimum required python3-all-dev version to 3.1.2-10
    (and rebuild for /usr/lib/python3/dist-packages transtion)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Sep 2010 22:15:21 +0200

pyyaml (3.09-4) unstable; urgency=low

  * Switch from incorrect use of XS-Python-Version to X-Python-Version and
    X-Python3-Version to work with current pyversions/py3versions
  * Use ${python3:Depends} instead of ${python:Depends} for python3-yaml
    (Closes: #591957)
  * Rebuild with recent dh_python3 to fix pre-removal script (Closes: #591652)
  * Drop XB-Python-Version from python3 packages (only relates to Python)
  * Bump standards version to 3.9.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Aug 2010 23:48:51 -0400

pyyaml (3.09-3) unstable; urgency=low

  * Convert from CDBS to Debhelper
    - Port rules from cdbs to debhelper
    - Drop cdbs from build-depends
  * Convert from python-support to dh_python2
    - Drop python-central from build-depends
    - Switch to --with python2 in debian/rules
    - Bump python-all-dev build-depend version to 2.6.5-2~
  * Add support for Python3
    - Add python3-yaml and python3-yaml-dbg to debian/control
    - Add python3-all-dev and python3-all-dbg to build-depends
    - Add >= 3.0 to XS-Python-Version
    - Adjust debian rules to build --with python3
  * Change priority to optional to match override
  * Bump standards version to 3.8.4 without further change
  * Remove DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Jun 2010 20:50:44 -0400

pyyaml (3.09-2) unstable; urgency=low

  * Update XB-Python-Version for Python 2.6 transition (closes: #556160)
  * Move python-yaml-dbg to section debug
  * Use correct © symbol in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Nov 2009 18:22:57 -0500

pyyaml (3.09-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.8.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Aug 2009 10:02:36 -0400

pyyaml (3.08-1) unstable; urgency=low

  * New upstream release
    - Change debian/rules to run new upstream test suite during build
    - Version libyaml-dev build dep to 0.1.2~ due to test failures with 0.1.1
  * Change priority to extra due to libyaml being extra
  * Add ${misc:Depends} to python-yaml and python-yaml-dbg
  * Update package description to mention being built against libyaml

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Jan 2009 23:57:37 -0500

pyyaml (3.06-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Scott Kitterman ]
  * New upstream release
    - Dropped build-dep on python-pyrex (no longer used)
    - Update debian/rules to build with the new libyaml integration scheme
  * Comment out simple-patchsys.mk in debian/rules since it's not currently
    needed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Nov 2008 21:17:42 -0500

pyyaml (3.05-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * DM-Upload-Allowed set to "yes"

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Scott Kitterman ]
  * Build with lib-yaml now that it is in the archive (Closes: #435410)
    - Add build-dep on libyaml-dev and python-pyrex
    - Add depends for ${shlibs:Depends} (Package falls back to pure Python
      if libyaml is not present, but it's not worth splitting a small package)
    - Install with setup_with_libyaml.py for all Python versions
    - Switch from arch all to arch any
  * Add debug package
    - Add python-all-dbg to build-dep
    - Add python-yaml-dbg to debian/control
    - Update debian/rules
  * Switch from python-support to python-central
    - Update depends
    - Remove pyversions
    - Add XS/XB-python-versions to debian/control
    - Update debian/rules
  * Update package description
  * Update standards version to 3.8.0.1

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2008 21:32:45 -0400

pyyaml (3.05-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream version
  * Removed obsolete patch and debian/patches
  * debian/control:
     - Added XS-Vcs-Svn field
     - Remove build-dep on pacht-utils
  * debian/rules:
     - Comment out simple-patchsys

  [ Piotr Ożarowski ]
  * Added debian/watch file

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 May 2007 22:38:17 -0400

pyyaml (3.04-1) unstable; urgency=low

  * Initial Debian package (Closes: #413720)
  * Include upstream recommended patches from the development tree:
    - fix loading an empty stream: changeset 233
    - fix the !timestamp constructor: changeset 234
    - fix an obscure issue with yaml_path_resolver: changeset 246

 -- Scott Kitterman <scott@kitterman.com>  Wed,  4 Apr 2007 15:50:36 -0400
